Skip to main content
Resource Center/Resource Pool/Volume Operations
POSTVolume OperationsSince 0.6SynchronousAuth Required

CreateDataVolumeFromVolumeSnapshot

CreateDataVolumeFromVolumeSnapshot

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • volumeSnapshotUuidStringRequired

    The volume snapshot UUID.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The volume name.

    • descriptionString

      Optional. The detailed description of the volume.

    • primaryStorageUuidString

      Optional. The primary storage UUID.

    • resourceUuidString

      Optional. The resource UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVolumeInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • primaryStorageUuidStringRequired

      The primary storage UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • diskOfferingUuidStringRequired

      The disk offering UUID.

    • rootImageUuidStringRequired

      根镜像UUID。

    • installPathStringRequired

      安装路径。

    • typeStringRequired

      类型。

    • formatStringRequired

      数据格式或导出格式。

    • sizeLongRequired

      返回记录数。

    • actualSizeLongRequired

      实际大小。

    • deviceIdIntegerRequired

      设备ID。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • isShareableBooleanRequired

      是否可分享。

Endpoint

POST/zstack/v1/volumes/data/from/volume-snapshots/{volumeSnapshotUuid}

/zstack/v1/volumes/data/from/volume-snapshots/{volumeSnapshotUuid}

Operation ID

CreateDataVolumeFromVolumeSnapshot

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/volumes/data/from/volume-snapshots/{volumeSnapshotUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","primaryStorageUuid":"<primaryStorageUuid>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "0f7ad281abd34b4d94df149756daa45d", "name": "test-volume", "primaryStorageUuid": "e39d9b37365141f8a126e53555a57f2d", "vmInstanceUuid": "b03e00f24ef842cb9c31fd0f8ab3f38b", "diskOfferingUuid": "cc97edd1f7aa4cc39656e73490863b4d", "rootImageUuid": "d15926cb82a54a26b098e19a982f2f6b", "installPath": "/Cloud_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-0f7ad281abd34b4d94df149756daa45d/0f7ad281abd34b4d94df149756daa45d.qcow2", "type": "Root", "format": "qcow2", "size": 1.073741824E11, "actualSize": 2.147483648E10, "deviceId": 0.0, "state": "Enabled", "status": "Ready", "createDate": "Jun 7, 2017 9:21:17 PM", "lastOpDate": "Jun 7, 2017 9:21:17 PM" } }

Change History

This API has no change history records yet.

View all change history